/****************************************************************/
/*   Definies dos parmetros de comunicao entre processos   */
/****************************************************************/

#ifndef _COMUNICACAOH_
#define _COMUNICACAOH_

// Parmetros da comunicao via socket entre
// o programa principal e o simulador

#define PORTA_AMRL 0x3000
#define PORTA_AZUL 0x4000

// Parmetros da comunicao via memria compartilhada entre
// o simulador e o visualizador

#define KEY_SEM_COMPART 0x2001
#define KEY_MEM_COMPART 0x2002

#endif
