#ifndef _FUTROBOT_H_
#define _FUTROBOT_H_

#include <pthread.h>
#include "ssocket.h"
#include "dados.h"
#include "futdados.h"
#include "aquisicao.h"
#include "estrategia.h"
#include "obstaculos.h"
#include "controle.h"
#include "transmissao.h"

class Futrobot: public virtual Futdados,
  public Aquisicao,
  public Estrategia,
  public Obstaculos,
  public Controle,
  public Transmissao
{
 private:
  // Dados do sistema
  pthread_t thr_ctrl;
  udpSocket sock;
  // Fun�es gerais do jogo
  //void main_futrobot();
  void main_futrobot();
  bool estado;
 public:
  Futrobot(TIME time, const char *ip_simulador);
  ~Futrobot();
  friend void* main_futrobot(void *);
  bool estadoCliente();
  void setEstadoCliente(bool est);
};

#endif
