#ifndef _FUTDADOS_H_
#define _FUTDADOS_H_

#include "dados.h"

// Dados gerais do jogo (para comunica�o entre as classes derivadas)

class Futdados
{
 private:
  TIME meu_time;
  LADO meu_lado;
 protected:
  EST_JOGO estado;
  IDQUADRO id_ant, id_pos;
  PLACAR gols;
  CONFIG pos;
  REFERENCIAS ref;
  CONTROLE ctrl;
 public:
  Futdados(TIME time);
  inline TIME meuTime() const {return meu_time;}
  inline LADO meuLado() const {return meu_lado;}
  inline EST_JOGO estJogo() const {return estado;}
  inline void terminar() {estado = TERMINAR;}
  inline void suspender() {estado = SUSPENSO;}
  inline void ativar() {estado = ATIVO;}
  inline unsigned numGols(TIME time) const {
    return (time==TIME_AZUL ? gols.azul : gols.amrl);
  }
  void imprime_estado() const;
};

#endif
