#include <iostream>

#include "ssocket.h"
#include "transmissao.h"

using namespace std;

Transmissao::Transmissao(TIME time): Futdados(time)
{
}
 
bool Transmissao::transmissao(udpSocket &sock)
{
  static SINAL_RADIO meuCtrl;

  if (!sock.connected()) {
    cerr << "Servidor n� conectado\n";
    return true;
  }
  meuCtrl.id = id_pos;
  for (int i=0; i<3; i++) {
    meuCtrl.c.meu[i].left = ctrl.meu[i].left;
    meuCtrl.c.meu[i].right = ctrl.meu[i].right;
  }
  if (sock.write((void*)&meuCtrl, sizeof(SINAL_RADIO))!=SOCKET_OK) {
    cerr << "Erro no envio dos dados\n";
    sock.close();
    return true;
  }
  return false;
}
