#include "campo.h"
#include "parametros.h"

Campo::Campo()
{
  // As arestas do campo
  // Incio: Lado direito da parede superior
  ponto[0].x = LARGURA_CAMPO/2.0-TAMANHO_QUINA;
  ponto[0].y = ALTURA_CAMPO/2.0;
  // Parede superior
  ponto[1].x = -(LARGURA_CAMPO/2.0-TAMANHO_QUINA);
  ponto[1].y = ALTURA_CAMPO/2.0;
  // Canto superior esquerda
  ponto[2].x = -(LARGURA_CAMPO/2.0);
  ponto[2].y = ALTURA_CAMPO/2.0-TAMANHO_QUINA;
  // Parede esquerda superior: quina superior esquerda
  ponto[3].x = -(LARGURA_CAMPO/2.0);
  ponto[3].y = ALTURA_TRAVE/2.0;
  // Superior da trave esquerda
  ponto[4].x = -(LARGURA_CAMPO/2.0+LARGURA_TRAVE);
  ponto[4].y = ALTURA_TRAVE/2.0;
  // Fundo da trave esquerda
  ponto[5].x = -(LARGURA_CAMPO/2.0+LARGURA_TRAVE);
  ponto[5].y = -(ALTURA_TRAVE/2.0);
  // Inferior da trave esquerda: quina inferior esquerda
  ponto[6].x = -(LARGURA_CAMPO/2.0);
  ponto[6].y = -(ALTURA_TRAVE/2.0);
  // Parede esquerda inferior
  ponto[7].x = -(LARGURA_CAMPO/2.0);
  ponto[7].y = -(ALTURA_CAMPO/2.0-TAMANHO_QUINA);
  // Canto inferior esquerdo
  ponto[8].x = -(LARGURA_CAMPO/2.0-TAMANHO_QUINA);
  ponto[8].y = -(ALTURA_CAMPO/2.0);
  // Parede inferior
  ponto[9].x = (LARGURA_CAMPO/2.0-TAMANHO_QUINA);
  ponto[9].y = -(ALTURA_CAMPO/2.0);
  // Canto inferior direito
  ponto[10].x = (LARGURA_CAMPO/2.0);
  ponto[10].y = -(ALTURA_CAMPO/2.0-TAMANHO_QUINA);
  // Parede direita inferior: quina inferior direita
  ponto[11].x = (LARGURA_CAMPO/2.0);
  ponto[11].y = -(ALTURA_TRAVE/2.0);
  // Inferior da trave direita
  ponto[12].x = (LARGURA_CAMPO/2.0+LARGURA_TRAVE);
  ponto[12].y = -(ALTURA_TRAVE/2.0);
  // Fundo da trave direita
  ponto[13].x = (LARGURA_CAMPO/2.0+LARGURA_TRAVE);
  ponto[13].y = (ALTURA_TRAVE/2.0);
  // Superior da trave direita: quina superior direita
  ponto[14].x = (LARGURA_CAMPO/2.0);
  ponto[14].y = (ALTURA_TRAVE/2.0);
  // Parede direita superior
  ponto[15].x = (LARGURA_CAMPO/2.0);
  ponto[15].y = (ALTURA_CAMPO/2.0-TAMANHO_QUINA);
  // Canto superior direito
  ponto[16].x = (LARGURA_CAMPO/2.0-TAMANHO_QUINA);
  ponto[16].y = (ALTURA_CAMPO/2.0);
}
